SNA

Create chat message

Append a normalized chat message.

POST
/chat/sessions/{id}/messages

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/chat/sessions/string/messages" \  -H "Content-Type: application/json" \  -d '{    "actor": "user",    "kind": "text"  }'
{
  "status": "created",
  "id": 0
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}